> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiungi un dominio di link

> Aggiunge un dominio di link brevi al team.



## OpenAPI

````yaml it/openapi/it-api-v3-openapi.yaml POST /teams/{teamId}/redirect-domains
openapi: 3.1.0
info:
  title: ER:LC Russia API V3
  description: >-
    API ER:LC Russia per server, utenti, CDN, reindirizzamenti, abbonamenti e
    chiavi di accesso.
  version: 3.0.0
servers:
  - url: https://api.erlcrussia.com/v3
    description: Server di produzione (com)
  - url: https://api.erlcrussia.xyz/v3
    description: Server di backup (xyz)
security: []
tags:
  - name: ER:Server LC
    description: Ottenere status, online, elenchi di giocatori e staff del server ER:LC.
  - name: 'ER: Squadre LC'
    description: >-
      Invio e accodamento di comandi del server di gioco (:h, :m, :kick, :ban,
      ecc.).
  - name: Economia
    description: >-
      Interazione con il sistema economico (utenti, imprese, mafie, negozi,
      pubblicità).
  - name: API statistiche
    description: >-
      Statistiche di acquisizione ad alte prestazioni dei server Discord e dei
      server di gioco (online, partecipanti, bot).
  - name: API di verifica
    description: Ricerca e confronto di account Discord ID e Roblox ID.
  - name: Risorse CDN
    description: >-
      Carica, gestisci, esegui statistiche e cancella la cache dei file di
      archiviazione di oggetti CDN MinIO/Edge.
  - name: Cartelle CDN
    description: >-
      Struttura gerarchica e ordinamento delle cartelle della libreria
      multimediale CDN.
  - name: API di punizione
    description: >-
      Gestisci il saldo e la cronologia delle transazioni dei punti dei
      giocatori.
  - name: API degli abbonamenti
    description: >-
      Catalogo dei piani, ordini FunPay, maturazione dei vantaggi e attivazione
      degli abbonamenti.
  - name: API di autorizzazione
    description: >-
      Accedi tramite Discord e Roblox OAuth2, gestisci le sessioni utente e
      collega gli account.
  - name: 'API di gestione: chiavi WebSocket'
    description: >-
      Gestione delle chiavi di accesso al gateway WebSocket e agli abbonamenti
      ai canali.
  - name: 'API di gestione: webhook'
    description: >-
      Registrazione, convalida dell'accessibilità e monitoraggio dei webhook
      personalizzati.
  - name: API di controllo - Pannello
    description: >-
      Gestione utenti, abbonamenti, tariffe, saldo manuale e statistiche di
      sistema.
  - name: API di stato
    description: >-
      Monitoraggio delle prestazioni del servizio, connessioni a PostgreSQL e
      Redis.
  - name: AI Audio
  - name: AI Studio
  - name: 'API di amministrazione: server'
  - name: API di gestione - Server
  - name: 'API di gestione: token'
  - name: Amministrazione AI
  - name: Amministrazione delle monete elettroniche
  - name: CDN
  - name: CDN V3
  - name: Chiavi API
  - name: Domini CDN
  - name: File privati e libreria
  - name: L'organizzazione reindirizza la V3
  - name: Webhook personalizzati
  - name: Рекламные кампании V3
paths:
  /teams/{teamId}/redirect-domains:
    post:
      tags:
        - L'organizzazione reindirizza la V3
      summary: Aggiungi un dominio di link
      description: Aggiunge un dominio di link brevi al team.
      parameters:
        - name: teamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain:
                  type: string
                fallbackUrl:
                  type: string
                  format: uri
            example:
              domain: go.example.com
              fallbackUrl: https://example.com
      responses:
        '201':
          description: Risposta riuscita.
          content:
            application/json:
              example:
                id: dom_4K9q
                domain: go.example.com
                type: redirect
                fallbackUrl: https://example.com
                cfStatus: pending
                cfSslStatus: initializing
                ownershipName: _cf-custom-hostname.go.example.com
                ownershipValue: 8f3c2a1e-5b7d-4e9f-a1c3-2b4d6e8f0a1c
                sslTxtName: _acme-challenge.go.example.com
                sslTxtValue: Xy7Kq2LmZp9Wd4Rt
                cnameVerified: false
                isVerified: false
                teamId: team_7f3a
                createdAt: '2026-10-21T12:00:00Z'
                updatedAt: '2026-10-21T12:00:00Z'
                verification:
                  cfStatus: pending
                  cfSslStatus: initializing
                  isVerified: false
                  cname:
                    name: go.example.com
                    expected: cname.erlcrussia.com
                    current: ''
                    found: false
                  ownershipVerification:
                    type: txt
                    name: _cf-custom-hostname.go.example.com
                    value: 8f3c2a1e-5b7d-4e9f-a1c3-2b4d6e8f0a1c
                  sslValidation:
                    type: txt
                    txtName: _acme-challenge.go.example.com
                    txtValue: Xy7Kq2LmZp9Wd4Rt
              schema:
                type: object
                properties:
                  id:
                    type: string
                  domain:
                    type: string
                  type:
                    type: string
                  fallbackUrl:
                    type: string
                  cfStatus:
                    type: string
                  cfSslStatus:
                    type: string
                  ownershipName:
                    type: string
                  ownershipValue:
                    type: string
                  sslTxtName:
                    type: string
                  sslTxtValue:
                    type: string
                  cnameVerified:
                    type: boolean
                  isVerified:
                    type: boolean
                  teamId:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  verification:
                    type: object
                    properties:
                      cfStatus:
                        type: string
                      cfSslStatus:
                        type: string
                      isVerified:
                        type: boolean
                      cname:
                        type: object
                        properties:
                          name:
                            type: string
                          expected:
                            type: string
                          current:
                            type: string
                          found:
                            type: boolean
                      ownershipVerification:
                        type: object
                        properties:
                          type:
                            type: string
                          name:
                            type: string
                          value:
                            type: string
                      sslValidation:
                        type: object
                        properties:
                          type:
                            type: string
                          txtName:
                            type: string
                          txtValue:
                            type: string
        '403':
          description: Nessun accesso a un'organizzazione, risorsa o operazione.
        '404':
          description: La risorsa non è stata trovata nell'organizzazione selezionata.
        '503':
          description: >-
            La modifica è stata scritta nel database, ma la sincronizzazione
            Redis non è riuscita. Aggiorna i tuoi dati prima di inviare
            nuovamente; Non ripetere la creazione ciecamente.
      security:
        - ApiKeyHeader: []
components:
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: erlcrussia-api-key
      description: >-
        Chiave API personalizzata. Memorizzare sul server; non includere
        JavaScript lato client.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.